## aeneas-1.7.3.tar.gz

=== requirements.txt ===
BeautifulSoup4>=4.5.1
lxml>=3.6.0
numpy>=1.9
