=== debian/changelog ===
aeneas (1.7.1) stable; urgency=medium

  * Fix bug #151
  * Downgraded dependency on lxml to lxml>=3.6.0 to help packaging the Windows installer
  * Added aeneas version to log
  * Changed default voice for Festival TTS Wrapper to eng-USA to help people installing from source on Mac OS X

 -- alberto <alberto@nievo>  Sun, 18 Dec 2016 14:32:51 +0100

aeneas (1.7.0) stable; urgency=medium

  * More robust and generic reading of SRT-like files, especially WebVTT
  * Added TextGrid output format
  * Optional MFCC masking for better word-level alignment
  * In multilevel tasks, DTW margin can be specified for each level now
  * Added human-readable descriptions of parameters and languages, listable in aeneas.tools.execute_task
  * Added human-readable descriptions of runtime configuration parameters, listable by all aeneas.tool.*
  * Ability to remove long nonspeech intervals from the output sync map
  * Marked Afrikaans (afr) language as tested
  * Added AWS Polly TTS API wrapper
  * Added benchmark tests
  * Added scripts to manage virtual environments for testing
  * Fix a couple of bugs
  * Code, test, and documentation improvements

 -- alberto <alberto@nievo>  Fri, 02 Dec 2016 22:40:51 +0100

aeneas (1.6.0.1) stable; urgency=medium

  * Fixed bug in Nuance TTS wrapper 

 -- alberto <alberto@nievo>  Fri, 30 Sep 2016 10:42:16 +0200

aeneas (1.6.0) stable; urgency=medium

  * Fixed bug #102
  * Better TTS engine wrappers
  * Added eSpeak-ng TTS wrapper
  * Added caching audio files for faster synthesis
  * The TTS engine can be selected per-level (text in multilevel format)
  * Added cfw Python C++ extension for Festival (disabled by default)
  * Python C extension compilation can be disabled in setup.py via env vars
  * All Python code formatted according to PEP 8 (-E501)
  * All source files have AGPLv3 header
  * Code, test, and documentation improvements

 -- alberto <alberto@nievo>  Mon, 26 Sep 2016 01:02:03 +0200

aeneas (1.5.1) stable; urgency=medium

  * Better aeneas.tools.*
  * Added rconf parameters to prevent running a single C extension
  * Better EAF output
  * Code improvements
  * Extension cew compiled for Mac OS X and Windows
  * Added links to installers for Mac OS X and Windows in the documentation

 -- alberto <alberto@nievo>  Mon, 25 Jul 2016 10:21:51 +0200

aeneas (1.5.0) stable; urgency=medium

  * Rewritten vad.py, sd.py, adjustboundaryalgorithm.py
  * Arbitrary precision time values via timevalue.py
  * Multiple TTS wrappers, including eSpeak, Festival, Nuance TTS APIs
  * Possibility of using custom, user-defined TTS wrappers
  * Possibility of using cew in a separate subprocess to work around a bug in eSpeak C API
  * Plot waveforms with plotter.py and aeneas.tools.plot_waveform
  * Initial support for multilevel input files and sync maps
  * Added AUD and EAF sync map formats
  * More efficient I/O of WAVE files in Python code
  * Improvements to Python C API code
  * Bug fixes and improvements in several Python modules
  * Better documentation

 -- alberto <alberto@nievo>  Sat, 28 May 2016 20:37:21 +0200

aeneas (1.4.1) stable; urgency=medium

  * Added DFXP sync map output format, alias for TTML
  * Added SBV sync map output format (SubViewer format with newline, used by YouTube)
  * Added SUB sync map output format (SubViewer format with [br])
  * Added aeneas.diagnostics to perform setup check, modified aeneas_check_setup.py accordingly
  * Marked Czech (cs) language as tested
  * Optimizated computation of MFCCs if no head/tail has been cut
  * Fixed the numpy deprecated API warning for C extensions
  * Fixed a few bugs and cleaned the source code of the cmfcc C extension, added a C driver program
  * Cleaned the source code of the cew C extension, added a C driver program
  * Cleaned the source code of the cdtw C extension, added a C driver program
  * Added cwave C extension (currently not used), added a C driver program
  * Added write method to Logger to dump log to file
  * Added ConfigurationObject to represent a dictionary with a fixed set of keys, default values, and aliases
  * Now JobConfiguration and TaskConfiguration extend ConfigurationObject
  * Added RuntimeConfiguration, extending ConfigurationObject, to keep the runtime settings, tunable by (expert) users
  * Added to AbstractCLIProgram support for specifying log file path
  * Added to AbstractCLIProgram support for specifying runtime configuration
  * Changed FFMPEG_PARAMETERS_DEFAULT in ffmpeg.py to FFMPEG_PARAMETERS_SAMPLE_16000 (i.e., from 22050 Hz to 16000 Hz)
  * Added support for specifying the temporary directory path in the RuntimeConfiguration
  * Refactored mfcc.py to better fit into the library structure
  * Moved the original mfcc.py into the thirdparty/ directory for clarity and attribution
  * Nicer aeneas_check_setup.py script
  * More unit tests covering runtime configuration options
  * Slimmed the README.md down

 -- alberto <alberto@nievo>  Thu, 11 Feb 2016 18:36:07 +0100

aeneas (1.4.0) stable; urgency=medium

  * Now running on both Python 2.7.x and Python 3.4.x or later, including C extensions
  * For XML-based sync map formats, now using UTF-8 encoding instead of ASCII
  * Unified aeneas.tools.* structure, with better help messages and exit codes
  * All aeneas.tools.* can be run interactively or called from Python code by passing a list of arguments
  * aeneas.tools.convert_syncmap has slightly different option names
  * aeneas.tools.read_text has a different order of arguments and different option names
  * aeneas.tools.synthesize_text has a different order of arguments and different option names
  * aeneas.tools.run_sd has a different order of arguments and different option names
  * Added bin/ scripts
  * Added a flag to disable checking a language code string against listed (supported) ones, allowing for testing with custom espeak voices
  * Ported the unit test launcher run_all_unit_tests.py in Python, with more options than unittest discover

